// ----------------------------------------------------------------------
textures/ct3dm5/rock
{
	qer_editorimage textures/ct3dm5/rock/rock_brown3.tga
	q3map_terrain

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ct3dm5/rock/rock_brown3.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ct3dm5/rock2
{
	qer_editorimage textures/ct3dm5/rock/stone4_b.tga
	
	q3map_nonplanar
	q3map_shadeAngle 90
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ct3dm5/rock/stone4_b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// ----------------------------------------------------------------------

textures/ct3dm5/lava_1000
{
	qer_editorimage textures/liquids/lavahell.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm nolightmap
	q3map_surfacelight 1000
	cull disable
	
	tesssize 128
	cull disable
	deformVertexes wave 10 sin 3 2 .1 0.1
	
	{
		map textures/liquids/lavahell.tga
		tcMod turb 0 .2 0 .1
	}
}

///////////////////////////////////////////////////////////////////////////

textures/ct3dm5/rock_mud
{
q3map_nonPlanar
q3map_forcemeta         
qer_editorimage textures/common/terrain.tga
q3map_alphaMod dotproduct2 ( 0 0 1 )
q3map_tcmod rotate 0
q3map_globaltexture
q3map_shadeAngle 130
q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	
	{
	map textures/ct3dm5/rock/stone4_b.tga
	rgbGen identity
	}
 
	{
	map textures/ct3dm5/rock/ter_mud1.tga
	blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	alphagen Vertex
	rgbGen identity
	}
	
	{
	map $lightmap
	blendfunc gl_dst_color gl_zero
	rgbGen identity
	}
}

//**********************************************************************//
//Pillamyd sky by evillair
//**********************************************************************//

textures/ct3dm5/pillamyd_sky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_globalTexture
	q3map_sun 1 .6 .2 40 300 60
	q3map_surfacelight 50
	qer_editorimage textures/ct3dm5/env/nubian5.tga
	skyparms textures/ct3dm5/env/el3dm4 768 -
	{
		map textures/ct3dm5/env/nubian5.tga
		tcMod scale 4 4
		tcMod scroll 0.05 0.05
		blendFunc GL_ONE GL_ONE
	}
}

//**********************************************************************//

//WATER

textures/ct3dm5/water
	{
		qer_editorimage textures/ct3dm5/tele1.tga
		q3map_globaltexture
		surfaceparm nonsolid
		surfaceparm water
		q3map_surfacelight 100
		nopicmip
		surfaceparm fog
		fogparms ( .255 .220 .150 ) 2042
		
		//cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
	
		
		{ 
			map textures/ct3dm5/tele1.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1 0 1 1 1 2
			tcmod scroll -.01 .001
		}
	
		{ 
			map textures/ct3dm5/tele2.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1 1 1 2 1
			tcmod scroll .002 -.001
		}

		{ 
			map textures/ct3dm5/tele3.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .01
		}	

		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
}

//----------------------------------------------------------------------------------//
// ----- hanging wires ----- //
//----------------------------------------------------------------------------------//
textures/ct3dm5/eq2_alphawires
{
	qer_editorimage textures/ct3dm5/eq2_wires_01.tga
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
	{
        map textures/ct3dm5/eq2_wires_01.tga
        alphaFunc GE128
		depthWrite
		rgbGen vertex
    }
    {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

//----------------------------------------------------------------------------------//
// boucepad
//----------------------------------------------------------------------------------//
textures/ct3dm5/eq2_bounce
{
	qer_editorimage textures/ct3dm5/eq2_bounce.tga
	
	{
		map textures/ct3dm5/eq2_bounce.tga
		rgbGen identity
	}
	{
		clampmap textures/ct3dm5/eq2_bouncefan.tga
		tcMod rotate 512
		blendFunc blend
		depthWrite
		rgbGen identity

	}
	{
		map textures/ct3dm5/eq2_bounce.tga
		blendfunc blend
		rgbGen identity
	}
		{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}

}

//----------------------------------------------------------------------------------//
// -- teleporter panel -- //
//----------------------------------------------------------------------------------//
textures/ct3dm5/eq2_telepanel
{
	qer_editorimage textures/ct3dm5/eq2_telepanel.tga
	q3map_lightimage textures/ct3dm5/eq2_telegoo.tga
	q3map_surfacelight 25
	{
		map textures/ct3dm5/eq2_telegoo.tga
		rgbGen identity
		tcMod turb 0 0.1 0 0.2
	}
	{
		map textures/ct3dm5/eq2_telepanel.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

//LIGHTS 

textures/ct3dm5/eq2lt_clight_10k
{
	surfaceparm nomarks
	q3map_surfacelight 10000
	q3map_lightimage textures/ct3dm5/eq2_32caplight.blend.tga
	qer_editorimage textures/ct3dm5/eq2_32caplight.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ct3dm5/eq2_32caplight.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ct3dm5/eq2_32caplight.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ct3dm5/eq2lt_clight_8k
{
	surfaceparm nomarks
	q3map_surfacelight 8000
	q3map_lightimage textures/ct3dm5/eq2_32caplight.blend.tga
	qer_editorimage textures/ct3dm5/eq2_32caplight.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ct3dm5/eq2_32caplight.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ct3dm5/eq2_32caplight.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ct3dm5/eq2lt_trimlight_s_3k
{
	surfaceparm nomarks
	q3map_surfacelight 3000
	q3map_lightsubdivide 32
	q3map_lightimage textures/ct3dm5/eq2_trimlight_01s.blend.tga
	qer_editorimage textures/ct3dm5/eq2_trimlight_01s.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ct3dm5/eq2_trimlight_01s.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ct3dm5/eq2_trimlight_01s.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ct3dm5/eq2lt_trimv_lite_4k
{
	surfaceparm nomarks
	q3map_surfacelight 4000
	q3map_lightimage textures/ct3dm5/eq2_trimv_lite.blend.tga
	qer_editorimage textures/ct3dm5/eq2_trimv_lite.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ct3dm5/eq2_trimv_lite.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ct3dm5/eq2_trimv_lite.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

//----------------------------------------------------------------------------------//
// stroggs banners
//----------------------------------------------------------------------------------//
textures/ct3dm5/eq2_banner
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tessSize 64
     deformVertexes wave 30 sin 0 2 0 .2
     deformVertexes wave 100 sin 0 2 0 .7
     
	{
        map textures/ct3dm5/eq2_banner.tga
        alphaFunc GE128
		depthWrite
		rgbGen identity
    }
    {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/ct3dm5/eq2lt_spawnlite_3k
{
	surfaceparm nomarks
	q3map_surfacelight 3000
	q3map_lightimage textures/ct3dm5/eq2_weap_spawnlite.blend.tga
	qer_editorimage textures/ct3dm5/eq2_weap_spawnlite.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ct3dm5/eq2_weap_spawnlite.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ct3dm5/eq2_weap_spawnlite.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ct3dm5/eq2lt_wallbig_01b_1000
{
	surfaceparm nomarks
	q3map_surfacelight 1000
	q3map_lightsubdivide 32
	qer_editorimage textures/ct3dm5/eq2_wallbig_01b.tga
	q3map_lightimage textures/ct3dm5/eq2_wallbig_01.blend.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ct3dm5/eq2_wallbig_01b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ct3dm5/eq2_wallbig_01.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ct3dm5/eq2lt_walllight512_300
{
	surfaceparm nomarks
	q3map_surfacelight 300
	//q3map_lightsubdivide 32
	qer_editorimage textures/ct3dm5/eq2_walllight_512.tga
	q3map_lightimage textures/ct3dm5/eq2_walllight_512.blend.tga

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ct3dm5/eq2_walllight_512.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ct3dm5/eq2_walllight_512.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ct3dm5/eq2lt_baselt03
{
	surfaceparm nomarks
	q3map_surfacelight 3000
	q3map_lightimage textures/ct3dm5/eq2_baselt03.blend.tga
	qer_editorimage textures/ct3dm5/eq2_baselt03.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ct3dm5/eq2_baselt03.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ct3dm5/eq2_baselt03.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ct3dm5/eq2lt_bmtl03light_300
{
	surfaceparm nomarks
	q3map_surfacelight 300
	//q3map_lightsubdivide 32
	qer_editorimage textures/ct3dm5/eq2_bmtl_03_light.tga
	q3map_lightimage textures/ct3dm5/eq2_bmtl_03_light.blend.tga

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ct3dm5/eq2_bmtl_03_light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ct3dm5/eq2_bmtl_03_light.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ct3dm5/eq2lt_stepsidelight_4k
{
	surfaceparm nomarks
	q3map_surfacelight 4000
	q3map_lightimage textures/ct3dm5/eq2_stepsidelight.blend.tga
	qer_editorimage textures/ct3dm5/eq2_stepsidelight.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ct3dm5/eq2_stepsidelight.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ct3dm5/eq2_stepsidelight.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ct3dm5/eq2lt_baselt03b
{
	surfaceparm nomarks
	q3map_surfacelight 3000
	q3map_lightimage textures/ct3dm5/eq2_baselt03b.blend.tga
	qer_editorimage textures/ct3dm5/eq2_baselt03b.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ct3dm5/eq2_baselt03b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ct3dm5/eq2_baselt03b.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

//STROGG_DECALS

textures/ct3dm5/strogg_02b
{
   noPicMip
   polygonOffset
   surfaceparm nonsolid
   surfaceparm nomarks
   {
      map textures/ct3dm5/strogg_02b.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
   }

}

//CROWS BY LUNARAN

textures/ct3dm5/crow1a
{
	cull disable
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nomarks
	qer_editorimage textures/ct3dm5/crow1.tga
//	deformVertexes move 1 0.6 0.5 sin 0 48 0 0.042
	{
		map textures/ct3dm5/crow1.tga
		rgbGen identity
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/ct3dm5/crow2a
{
	cull disable
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nomarks
	qer_editorimage textures/ct3dm5/crow1.tga
	deformVertexes move 1 0.3 0.5 sin 0 72 0 0.08
	  	{
		map textures/ct3dm5/crow1.tga
		rgbGen identity
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

//FLARES

textures/ct3dm5/flare_red
{
	qer_editorimage textures/ct3dm5/flare_red.tga
	surfaceparm trans
	surfaceparm nomarks
    	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans 0.5
	cull none
	deformVertexes autosprite
	//nopicmip
	{
		map textures/ct3dm5/flare_red.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
	}
}

textures/ct3dm5/flare_yellow
{
	qer_editorimage textures/ct3dm5/flare_yellow.tga
	surfaceparm trans
	surfaceparm nomarks
    	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans 0.5
	cull none
	deformVertexes autosprite
	//nopicmip
	{
		map textures/ct3dm5/flare_yellow.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
	}
}

textures/ct3dm5/beam_1_yellow
{
	qer_editorimage textures/ct3dm5/beam_1_yellow.tga
    surfaceparm trans	
    surfaceparm nomarks	
    surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
    //nopicmip
	{
		map textures/ct3dm5/beam_1_yellow.tga
        tcMod Scroll .3 0
        blendFunc add
        }
}

//FOG

textures/ct3dm5/hellfog
{
	qer_editorimage textures/sfx/fog_grey.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm 	nodrop
	surfaceparm 	nolightmap
	q3map_globaltexture
	q3map_surfacelight 100
	fogparms ( .40 .06 .01 ) 460
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}

//FENCE

textures/ct3dm5/fence
{
	qer_editorimage textures/base_trim/proto_fence.tga
	surfaceparm trans		
	cull none
	surfaceparm nomarks
	surfaceparm	nonsolid
    nopicmip

	{
		map textures/base_trim/proto_fence.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//SPONSORIMAGES

textures/ct3dm5/autodesk
{
		surfaceparm nomarks
		qer_editorimage textures/ct3dm5/Autodesk_black_1024x512.tga
		nopicmip
	{
		map textures/ct3dm5/Autodesk_black_1024x512.tga
	}
}

textures/ct3dm5/planetside
{
		surfaceparm nomarks
		qer_editorimage textures/ct3dm5/Planetside_silver_1024x512.tga
		nopicmip
	{
		map textures/ct3dm5/Planetside_silver_1024x512.tga
	}
}

textures/ct3dm5/amd
{
		surfaceparm nomarks
		qer_editorimage textures/ct3dm5/AMD_silver_1024x1024.tga
		nopicmip
	{
		map textures/ct3dm5/AMD_silver_1024x1024.tga
	}
}

textures/ct3dm5/sapphire
{
		surfaceparm nomarks
		qer_editorimage textures/ct3dm5/Sapphire_768x512.tga
		nopicmip
	{
		map textures/ct3dm5/Sapphire_768x512.tga
	}
}

textures/ct3dm5/crucial
{
		surfaceparm nomarks
		qer_editorimage textures/ct3dm5/Crucial_black_1024x512.tga
		nopicmip
	{
		map textures/ct3dm5/Crucial_black_1024x512.tga
	}
}

textures/ct3dm5/msg
{
		surfaceparm nomarks
		qer_editorimage textures/ct3dm5/MaverickServers_1024x512.tga
		nopicmip
	{
		map textures/ct3dm5/MaverickServers_1024x512.tga
	}
}